Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/hitch: new aport

From: Raphael Cohn <raphael.cohn_at_stormmq.com>
Date: Sat, 4 Jun 2016 12:50:40 +0000

https://hitch-tls.org/
A TLS/SSL endpoint similar to stunnel
---
 testing/hitch/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/hitch/APKBUILD
diff --git a/testing/hitch/APKBUILD b/testing/hitch/APKBUILD
new file mode 100644
index 0000000..ca7380f
--- /dev/null
+++ b/testing/hitch/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Raphael Cohn <raphael.cohn_at_stormmq.com>
+# Maintainer: Raphael Cohn <raphael.cohn_at_stormmq.com>
+pkgname=hitch
+pkgver=1.2.0
+pkgrel=0
+pkgdesc="hitch is a TLS / SSL endpoint like stunnel"
+url="https://hitch-tls.org/"
+arch="all"
+license="BSD"
+depends="libev"
+depends_dev=""
+makedepends="libev-dev openssl-dev automake autoconf py-docutils bison flex"
+install=""
+subpackages="$pkgname-doc"
+source="https://github.com/varnish/hitch/archive/hitch-1.2.0.tar.gz"
+
+builddir="$pkgname-$pkgname-$pkgver"
+build() {
+	cd "$builddir"
+	./bootstrap || return 1
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	pwd
+	cd src/"$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="92378e514ae235755d9fade27e2d9f95  hitch-1.2.0.tar.gz"
+sha256sums="129c26f5bc7bf9ae3c3458af5dd3d9dc96007eab70cf603c9859355beea36b51  hitch-1.2.0.tar.gz"
+sha512sums="bf5014211bfa82240b3e850e4800534436ff41665a9422e9ed5acdbcbb01ba3b0e98c8c1fcb572edb8ea67e15c1169583ed7a04c49d2015a8b99f179c4718178  hitch-1.2.0.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Jun 04 2016 - 12:50:40 GMT